Bug 176718 - perl-Devel-Symdump: update request to 2.05
perl-Devel-Symdump: update request to 2.05
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-Devel-Symdump (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
http://search.cpan.org/dist/Devel-Sym...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-30 14:45 EST by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-18 11:12:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2005-12-30 14:45:42 EST
Version-Release number of selected component (if applicable):
rawhide: perl-Devel-Symdump-2.03-20.1.src.rpm

Expected results:
perl-Devel-Symdump 2.04 in rawhide

Additional info:
Diff from Devel-Symdump-2.03 to Devel-Symdump-2.04
http://search.cpan.org/diff?from=Devel-Symdump-2.03&to=Devel-Symdump-2.04
Comment 1 Jose Pedro Oliveira 2006-01-02 20:16:24 EST
Version 2.05 just released.

CPAN homepage:
http://search.cpan.org/dist/Devel-Symdump/

Diff from Devel-Symdump-2.03 to Devel-Symdump-2.05
http://search.cpan.org/diff?from=Devel-Symdump-2.03&to=Devel-Symdump-2.05
Comment 2 Jason Vas Dias 2006-01-10 12:16:44 EST
Thanks - perl-Devel-Symdump-3.10-1 now in rawhide-20060110 (FC5t3) .
Comment 3 Jose Pedro Oliveira 2006-01-10 15:41:01 EST
Jason,

The following change is not needed for noarch packages:
------
@@ -29,6 +29,7 @@
 rm -rf $RPM_BUILD_ROOT
 make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
 find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
+find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
 find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
 chmod -R u+w $RPM_BUILD_ROOT/*
 
------

and following one creates an unowned directory:

------
@@ -42,11 +43,14 @@
 %files
 %defattr(-,root,root,-)
 %doc ChangeLog README
-%{perl_vendorlib}/Devel/
+%{perl_vendorlib}/Devel/*
 %{_mandir}/man3/*.3*

------

At least this last one must be reverted.
jpo

Source:
https://www.redhat.com/archives/fedora-cvs-commits/2006-January/msg00538.html
Comment 4 Jason Vas Dias 2006-01-17 17:35:03 EST
OK, done with perl-Devel-Symdump-2.05-2

Note You need to log in before you can comment on or make changes to this bug.